<template>
  <div :style="tabsStyle">
    <q-btn
    v-for="(tab, index) in tabs"
    :key="index"
    :icon="tab.icon"
    :style="tabStyle"
    :class="isActive(tab) ? 'active-action-theme' : 'action-theme'"
    size="lg"
    flat
    @click="open(tab)">
    </q-btn>
  </div>
</template>

<script>
export default {
  name: 'MyTabs',
  props: ['width', 'tabs'],
  data () {
    return {
      colors: [
        'green',
        'red',
        'blue',
        'deep-orange',
        'purple'
      ]
    }
  },
  computed: {
    tabsStyle () {
      return `width:${this.width}px`
    },
    tabWidth () {
      return this.width / this.tabs.length
    },
    tabStyle () {
      return `width:${this.tabWidth}px`
    }
  },
  methods: {
    isActive (tab) {
      if (this.$route.path === tab.path) {
        return true
      }
      return false
    },
    open (tab) {
      console.log(tab)
      this.$router.push(tab.path)
    },
    getInactiveStyle (index) {
      return `bg-white text-${this.colors[index]}-5`
    },
    getActiveStyle (index) {
      return `bg-${this.colors[index]}-1 text-${this.colors[index]}-5`
    }
  }
}
</script>

<style lang="stylus"></style>
